package com.alibaba.apm;

import io.opentracing.util.GlobalTracer;

public class TraceUtils {

    public static void registerTracer(String serviceName) {
        io.jaegertracing.Configuration config = new io.jaegertracing.Configuration(serviceName);
        io.jaegertracing.Configuration.SenderConfiguration sender = new io.jaegertracing.Configuration.SenderConfiguration();
        /**
         *  从https://tracing.console.aliyun.com/ -> 集群配置 -》接入点信息 获取jaeger的网关（Endpoint）
         *  第一次运行时，请设置当前用户的对应的网关
         */
        sender.withEndpoint("http://tracing-analysis-dc-sh.aliyuncs.com/adapt_123@3456_222@444/api/traces");
        config.withSampler(new io.jaegertracing.Configuration.SamplerConfiguration().withType("const").withParam(1));

        config.withReporter(new io.jaegertracing.Configuration.ReporterConfiguration().withSender(sender).withMaxQueueSize(10000));
        GlobalTracer.registerIfAbsent(config.getTracer());

    }
}
