package org.webmvc;

import io.opentracing.util.GlobalTracer;
import org.apache.http.HttpResponse;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.apache.http.client.HttpClient;

import java.io.IOException;

@EnableWebMvc
@RestController
@Configuration
@CrossOrigin // So that javascript can be hosted elsewhere
public class Frontend {
  @Autowired RestTemplate restTemplate;

  @Autowired
  HttpClient httpClient;


  @RequestMapping("/") public String callBackend() {
    // 给当前span添加tag
    GlobalTracer.get().activeSpan().setTag("myTag","callBackend");
    try {
      HttpResponse response1 = httpClient.execute(new HttpGet("http://localhost:9000/api"));
      response1.getStatusLine();
    } catch (Exception e) {
      e.printStackTrace();
    }
    return restTemplate.getForObject("http://localhost:9000/api", String.class);
  }

}
