package org.webmvc;

import io.opentracing.contrib.web.servlet.filter.TracingFilter;
import io.opentracing.util.GlobalTracer;
import org.springframework.web.SpringServletContainerInitializer;
import org.springframework.web.servlet.support.AbstractAnnotationConfigDispatcherServletInitializer;

import javax.servlet.Filter;

/** Indirectly invoked by {@link SpringServletContainerInitializer} in a Servlet 3+ container */
public class Initializer extends AbstractAnnotationConfigDispatcherServletInitializer {

    @Override protected String[] getServletMappings() {
        return new String[] {"/"};
    }

    @Override protected Class<?>[] getRootConfigClasses() {
        return new Class[] {AppConfiguration.class};
    }

    /** Ensures tracing is setup for all HTTP requests. */
    @Override protected Filter[] getServletFilters() {
        TracingFilter tracingFilter = new TracingFilter(AppConfiguration.getTrace());
        return new Filter[] {tracingFilter};
    }

    @Override protected Class<?>[] getServletConfigClasses() {
        return new Class[] {Frontend.class, Backend.class};
    }
}